using UnityEngine;

namespace Assets.Scripts.Controllers
{
    public class BaseController<T> : MonoBehaviour
        where T : Component
    {
        public static T Instance { get; private set; }

        protected virtual void Awake()
        {
            Instance = this as T;
        }
    }
}
